﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace BindTest2
{
    public class ViewModel1 : INotifyPropertyChanged
    {
        int count;
        public int Count {
            get { return count; }
            set { count = value; RaisePropertyChanged("Count"); } }
        public ICommand CountUpCommand { get; set; }
        
        public ViewModel1() {
            CountUpCommand = new RelayCommand(CountUp);
        }

        private void CountUp(object obj) {
            string str = obj as string;
            if (string.IsNullOrEmpty(str)) return;
            if (str == "Up") Count++;
            else if(str== "Down") Count--;
        }

        public event PropertyChangedEventHandler PropertyChanged;
        void RaisePropertyChanged(string propertyName) {
            if ((PropertyChanged != null)) {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
